use std::io::Write;
use std::process::{ChildStdin, Command, Stdio};

pub struct Bar {
    stdin: ChildStdin
}

impl Bar {
    pub fn new(top: bool) -> Bar {
        let mut bar = Command::new("lemonbar");
        if !top {
            bar.arg("-b");
        }
        let child = bar
            .arg("-f")
            .arg("Inconsolatazi4:size=12")
            .arg("-f")
            .arg("Ionicons:size=12")
            .stdin(Stdio::piped())
            .spawn()
            .ok()
            .expect("Failed to start lemonbar");

        Bar { stdin: child.stdin.unwrap() }
    }

    pub fn send(&mut self, text: &str) {
        writeln!(&mut self.stdin, "{}", text).ok();
    }
}
